# Interface UseMethodDefinition<ReturnType, Parameter, Config>

interface UseMethodDefinition<ReturnType, Parameter, Config> {
config?: Config;
method: ProviderToken<Method<ReturnType, Parameter>>;
}

#### Type Parameters

- ReturnType = unknown
- Parameter = unknown
- Config extends UseMethodConfig<ReturnType, Parameter> = UseMethodConfig<ReturnType, Parameter>

- Defined in packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:32

#####
Index

### Properties

config?
method

## Properties

### `Optional` config

config?: Config

- Defined in packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:38

### method

method: ProviderToken<Method<ReturnType, Parameter>>

- Defined in packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:37